Query Alert

Query Alert
Query for Alerts using one or more criteria specified in the Query Spec

Data returned includes a Collection of Alert Notes.
Example: POST /api/alerts/query

Request
URI
POST
https://{api_host}/suite-api/api/alerts/query
COPY
Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Request Body

The alertQuery criteria

alert-query of type(s) application/json
Required
"{\n  \"compositeOperator\" : \"AND\",\n  \"alertId\" : [ ],\n  \"resource-query\" : {\n    \"name\" : [ \"Windows2017VM\", \"Windows2018VM\" ],\n    \"regex\" : [ \"\\\\\\\\S+-BNA-\\\\\\\\S+\", null ],\n    \"adapterKind\" : [ \"VMWARE\" ],\n    \"resourceKind\" : [ \"HostSystem\" ],\n    \"resourceId\" : [ \"0d0f5c56-d8ba-4029-a59e-7f03adb18055\" ],\n    \"statKeyInclusive\" : true\n  },\n  \"activeOnly\" : true,\n  \"alertTypeSubtype\" : [ ],\n  \"alertCriticality\" : [ \"CRITICAL\", \"IMMEDIATE\", \"WARNING\", \"INFORMATION\" ],\n  \"alertStatus\" : [ ],\n  \"alertImpact\" : [ ],\n  \"alertControlState\" : [ ],\n  \"startTimeRange\" : {\n    \"startTime\" : 1753368185,\n    \"endTime\" : 1753378185\n  },\n  \"includeChildrenResources\" : true,\n  \"extractOwnerName\" : false\n}"
boolean
activeOnly
Optional

Filter to return only Active alerts, if true, the query will exclude Suspended and Cancelled Alerts

array of string
alertControlState
Optional

Filter based on the Alert Control State

Possible values are : OPEN, ASSIGNED, SUSPENDED, SUPPRESSED,
array of string
alertCriticality
Optional

Filter based on Alert Criticality

Possible values are : UNKNOWN, NONE, INFORMATION, WARNING, IMMEDIATE, CRITICAL, AUTO,
array of string
alertDefinitionId
Optional

Filter based on the Alert definition id

array of string
alertId
Optional

Filter based on Alert identifiers

array of string
alertImpact
Optional

Filter based on the Alert Impact

string
alertName
Optional

Filter based on Alert name using 'contains' logic

array of string
alertStatus
Optional

Filter based on the Alert Status. If looking for only active alerts combined
with other filter criteria then use the activeOnly property instead.

Possible values are : NEW, ACTIVE, UPDATED, CANCELED,
array of object
alertTypeSubtype
Optional

Filter based on Alert Type

object
cancelTimeRange
Optional

Filter based on matching UTC cancel time

string
compositeOperator
Optional

Operations for Composite Conditions

Possible values are : AND, OR,
boolean
extractOwnerName
Optional

Indicates whether need to report alert owner's name in addition to owner's id

string
groupId
Optional

Filter based on alert group id

string
groupingCondition
Optional

Indicates the alert grouping condition

Possible values are : GROUP_BY_ALERT_DEFINITION, GROUP_BY_RESOURCE_KIND, GROUP_BY_CRITICALITY, GROUP_BY_TIME, GROUP_BY_SCOPE,
boolean
includeChildrenResources
Optional

True to include alerts generated by child resources

object
resource-query
Optional

Object used to lookup resources with various filtering criteria

string
resourceKind
Optional

Filter based on resource kind using 'contains' logic

object
startTimeRange
Optional

Filter based on matching UTC cancel time

object
updateTimeRange
Optional

Filter based on matching UTC cancel time

string
userId
Optional

Filter based on user id

string
userName
Optional

Filter based on user name using 'contains' logic

Authentication
This operation uses the following authentication methods.
Responses
200

The Collection of Alerts matching the specified Query Spec (Collection can be empty)

Returns alerts of type(s) application/json
"{\n  \"alerts\" : [ {\n    \"alertId\" : \"31eeaeec-82d5-4037-a59b-efed2e7c8e3a\",\n    \"resourceId\" : \"c40271ed-5a59-4d8a-b98c-1aa3aa603a3f\",\n    \"alertLevel\" : \"NONE\",\n    \"startTimeUTC\" : 1753368185,\n    \"cancelTimeUTC\" : 0,\n    \"updateTimeUTC\" : 1753378185,\n    \"suspendUntilTimeUTC\" : 0\n  }, {\n    \"alertId\" : \"18589dea-9999-1234-abba-f1ee73004dac\",\n    \"resourceId\" : \"c40271ed-5a59-4d8a-b98c-1aa3aa603a3f\",\n    \"alertLevel\" : \"NONE\",\n    \"startTimeUTC\" : 1753368185,\n    \"cancelTimeUTC\" : 0,\n    \"updateTimeUTC\" : 1753378185,\n    \"suspendUntilTimeUTC\" : 0\n  } ]\n}"
array of object
alerts
Optional

List of alerts

array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result


500

Error occurred while retrieving the Alerts

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/alerts/query